// **********************************************************************
//
// Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************
//
// Ice version 3.5.1
//
// <auto-generated>
//
// Generated from file `Admin.ice'
//
// Warning: do not edit this file.
//
// </auto-generated>
//

package IceGrid;

/**
 * Used by administrative clients to view,
 * update, and receive observer updates from the IceGrid
 * registry. Admin sessions are created either with the {@link Registry}
 * object or the registry admin {@link Glacier2.SessionManager} object.
 * 
 * @see Registry
 * @see Glacier2.SessionManager
 * 
 **/
public interface AdminSessionPrx extends Glacier2.SessionPrx
{
    /**
     * Keep the session alive. Clients should call this operation
     * regularly to prevent the server from reaping the session.
     * 
     * @see Registry#getSessionTimeout
     * 
     **/
    public void keepAlive();

    /**
     * Keep the session alive. Clients should call this operation
     * regularly to prevent the server from reaping the session.
     * 
     * @see Registry#getSessionTimeout
     * 
     * @param __ctx The Context map to send with the invocation.
     **/
    public void keepAlive(java.util.Map<String, String> __ctx);

    /**
     * Keep the session alive. Clients should call this operation
     * regularly to prevent the server from reaping the session.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_keepAlive();

    /**
     * Keep the session alive. Clients should call this operation
     * regularly to prevent the server from reaping the session.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_keepAlive(java.util.Map<String, String> __ctx);

    /**
     * Keep the session alive. Clients should call this operation
     * regularly to prevent the server from reaping the session.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_keepAlive(Ice.Callback __cb);

    /**
     * Keep the session alive. Clients should call this operation
     * regularly to prevent the server from reaping the session.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_keepAlive(java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Keep the session alive. Clients should call this operation
     * regularly to prevent the server from reaping the session.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_keepAlive(Callback_AdminSession_keepAlive __cb);

    /**
     * Keep the session alive. Clients should call this operation
     * regularly to prevent the server from reaping the session.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_keepAlive(java.util.Map<String, String> __ctx, Callback_AdminSession_keepAlive __cb);

    /**
     * Keep the session alive. Clients should call this operation
     * regularly to prevent the server from reaping the session.
     * 
     * @param __result The asynchronous result object.
     * @see Registry#getSessionTimeout
     * 
     **/
    public void end_keepAlive(Ice.AsyncResult __result);

    /**
     * Get the admin interface. The admin object returned by this
     * operation can only be accessed by the session.
     * 
     * @return The admin interface proxy.
     * 
     **/
    public AdminPrx getAdmin();

    /**
     * Get the admin interface. The admin object returned by this
     * operation can only be accessed by the session.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The admin interface proxy.
     * 
     **/
    public AdminPrx getAdmin(java.util.Map<String, String> __ctx);

    /**
     * Get the admin interface. The admin object returned by this
     * operation can only be accessed by the session.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getAdmin();

    /**
     * Get the admin interface. The admin object returned by this
     * operation can only be accessed by the session.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getAdmin(java.util.Map<String, String> __ctx);

    /**
     * Get the admin interface. The admin object returned by this
     * operation can only be accessed by the session.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getAdmin(Ice.Callback __cb);

    /**
     * Get the admin interface. The admin object returned by this
     * operation can only be accessed by the session.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getAdmin(java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Get the admin interface. The admin object returned by this
     * operation can only be accessed by the session.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getAdmin(Callback_AdminSession_getAdmin __cb);

    /**
     * Get the admin interface. The admin object returned by this
     * operation can only be accessed by the session.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getAdmin(java.util.Map<String, String> __ctx, Callback_AdminSession_getAdmin __cb);

    /**
     * Get the admin interface. The admin object returned by this
     * operation can only be accessed by the session.
     * 
     * @param __result The asynchronous result object.
     * @return The admin interface proxy.
     * 
     **/
    public AdminPrx end_getAdmin(Ice.AsyncResult __result);

    /**
     * Get a "template" proxy for admin callback objects.
     * An Admin client uses this proxy to set the category of its callback
     * objects, and the published endpoints of the object adapter hosting
     * the admin callback objects.
     * 
     * @return A template proxy. The returned proxy is null when the Admin
     * session was established using Glacier2.
     * 
     **/
    public Ice.ObjectPrx getAdminCallbackTemplate();

    /**
     * Get a "template" proxy for admin callback objects.
     * An Admin client uses this proxy to set the category of its callback
     * objects, and the published endpoints of the object adapter hosting
     * the admin callback objects.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return A template proxy. The returned proxy is null when the Admin
     * session was established using Glacier2.
     * 
     **/
    public Ice.ObjectPrx getAdminCallbackTemplate(java.util.Map<String, String> __ctx);

    /**
     * Get a "template" proxy for admin callback objects.
     * An Admin client uses this proxy to set the category of its callback
     * objects, and the published endpoints of the object adapter hosting
     * the admin callback objects.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getAdminCallbackTemplate();

    /**
     * Get a "template" proxy for admin callback objects.
     * An Admin client uses this proxy to set the category of its callback
     * objects, and the published endpoints of the object adapter hosting
     * the admin callback objects.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getAdminCallbackTemplate(java.util.Map<String, String> __ctx);

    /**
     * Get a "template" proxy for admin callback objects.
     * An Admin client uses this proxy to set the category of its callback
     * objects, and the published endpoints of the object adapter hosting
     * the admin callback objects.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getAdminCallbackTemplate(Ice.Callback __cb);

    /**
     * Get a "template" proxy for admin callback objects.
     * An Admin client uses this proxy to set the category of its callback
     * objects, and the published endpoints of the object adapter hosting
     * the admin callback objects.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getAdminCallbackTemplate(java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Get a "template" proxy for admin callback objects.
     * An Admin client uses this proxy to set the category of its callback
     * objects, and the published endpoints of the object adapter hosting
     * the admin callback objects.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getAdminCallbackTemplate(Callback_AdminSession_getAdminCallbackTemplate __cb);

    /**
     * Get a "template" proxy for admin callback objects.
     * An Admin client uses this proxy to set the category of its callback
     * objects, and the published endpoints of the object adapter hosting
     * the admin callback objects.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getAdminCallbackTemplate(java.util.Map<String, String> __ctx, Callback_AdminSession_getAdminCallbackTemplate __cb);

    /**
     * Get a "template" proxy for admin callback objects.
     * An Admin client uses this proxy to set the category of its callback
     * objects, and the published endpoints of the object adapter hosting
     * the admin callback objects.
     * 
     * @param __result The asynchronous result object.
     * @return A template proxy. The returned proxy is null when the Admin
     * session was established using Glacier2.
     * 
     **/
    public Ice.ObjectPrx end_getAdminCallbackTemplate(Ice.AsyncResult __result);

    /**
     * Set the observer proxies that receive
     * notifications when the state of the registry
     * or nodes changes.
     * 
     * @param registryObs The registry observer.
     * 
     * @param nodeObs The node observer.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @throws ObserverAlreadyRegisteredException Raised if an
     * observer is already registered with this registry.
     * 
     **/
    public void setObservers(RegistryObserverPrx registryObs, NodeObserverPrx nodeObs, ApplicationObserverPrx appObs, AdapterObserverPrx adptObs, ObjectObserverPrx objObs)
        throws ObserverAlreadyRegisteredException;

    /**
     * Set the observer proxies that receive
     * notifications when the state of the registry
     * or nodes changes.
     * 
     * @param registryObs The registry observer.
     * 
     * @param nodeObs The node observer.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @throws ObserverAlreadyRegisteredException Raised if an
     * observer is already registered with this registry.
     * 
     * @param __ctx The Context map to send with the invocation.
     **/
    public void setObservers(RegistryObserverPrx registryObs, NodeObserverPrx nodeObs, ApplicationObserverPrx appObs, AdapterObserverPrx adptObs, ObjectObserverPrx objObs, java.util.Map<String, String> __ctx)
        throws ObserverAlreadyRegisteredException;

    /**
     * Set the observer proxies that receive
     * notifications when the state of the registry
     * or nodes changes.
     * 
     * @param registryObs The registry observer.
     * 
     * @param nodeObs The node observer.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_setObservers(RegistryObserverPrx registryObs, NodeObserverPrx nodeObs, ApplicationObserverPrx appObs, AdapterObserverPrx adptObs, ObjectObserverPrx objObs);

    /**
     * Set the observer proxies that receive
     * notifications when the state of the registry
     * or nodes changes.
     * 
     * @param registryObs The registry observer.
     * 
     * @param nodeObs The node observer.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_setObservers(RegistryObserverPrx registryObs, NodeObserverPrx nodeObs, ApplicationObserverPrx appObs, AdapterObserverPrx adptObs, ObjectObserverPrx objObs, java.util.Map<String, String> __ctx);

    /**
     * Set the observer proxies that receive
     * notifications when the state of the registry
     * or nodes changes.
     * 
     * @param registryObs The registry observer.
     * 
     * @param nodeObs The node observer.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_setObservers(RegistryObserverPrx registryObs, NodeObserverPrx nodeObs, ApplicationObserverPrx appObs, AdapterObserverPrx adptObs, ObjectObserverPrx objObs, Ice.Callback __cb);

    /**
     * Set the observer proxies that receive
     * notifications when the state of the registry
     * or nodes changes.
     * 
     * @param registryObs The registry observer.
     * 
     * @param nodeObs The node observer.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_setObservers(RegistryObserverPrx registryObs, NodeObserverPrx nodeObs, ApplicationObserverPrx appObs, AdapterObserverPrx adptObs, ObjectObserverPrx objObs, java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Set the observer proxies that receive
     * notifications when the state of the registry
     * or nodes changes.
     * 
     * @param registryObs The registry observer.
     * 
     * @param nodeObs The node observer.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_setObservers(RegistryObserverPrx registryObs, NodeObserverPrx nodeObs, ApplicationObserverPrx appObs, AdapterObserverPrx adptObs, ObjectObserverPrx objObs, Callback_AdminSession_setObservers __cb);

    /**
     * Set the observer proxies that receive
     * notifications when the state of the registry
     * or nodes changes.
     * 
     * @param registryObs The registry observer.
     * 
     * @param nodeObs The node observer.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_setObservers(RegistryObserverPrx registryObs, NodeObserverPrx nodeObs, ApplicationObserverPrx appObs, AdapterObserverPrx adptObs, ObjectObserverPrx objObs, java.util.Map<String, String> __ctx, Callback_AdminSession_setObservers __cb);

    /**
     * Set the observer proxies that receive
     * notifications when the state of the registry
     * or nodes changes.
     * 
     * @param __result The asynchronous result object.
     * @throws ObserverAlreadyRegisteredException Raised if an
     * observer is already registered with this registry.
     * 
     **/
    public void end_setObservers(Ice.AsyncResult __result)
        throws ObserverAlreadyRegisteredException;

    /**
     * Set the observer identities that receive
     * notifications the state of the registry
     * or nodes changes. This operation should be used by clients that
     * are using a bidirectional connection to communicate with the
     * session.
     * 
     * @param registryObs The registry observer identity.
     * 
     * @param nodeObs The node observer identity.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @throws ObserverAlreadyRegisteredException Raised if an
     * observer is already registered with this registry.
     * 
     **/
    public void setObserversByIdentity(Ice.Identity registryObs, Ice.Identity nodeObs, Ice.Identity appObs, Ice.Identity adptObs, Ice.Identity objObs)
        throws ObserverAlreadyRegisteredException;

    /**
     * Set the observer identities that receive
     * notifications the state of the registry
     * or nodes changes. This operation should be used by clients that
     * are using a bidirectional connection to communicate with the
     * session.
     * 
     * @param registryObs The registry observer identity.
     * 
     * @param nodeObs The node observer identity.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @throws ObserverAlreadyRegisteredException Raised if an
     * observer is already registered with this registry.
     * 
     * @param __ctx The Context map to send with the invocation.
     **/
    public void setObserversByIdentity(Ice.Identity registryObs, Ice.Identity nodeObs, Ice.Identity appObs, Ice.Identity adptObs, Ice.Identity objObs, java.util.Map<String, String> __ctx)
        throws ObserverAlreadyRegisteredException;

    /**
     * Set the observer identities that receive
     * notifications the state of the registry
     * or nodes changes. This operation should be used by clients that
     * are using a bidirectional connection to communicate with the
     * session.
     * 
     * @param registryObs The registry observer identity.
     * 
     * @param nodeObs The node observer identity.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_setObserversByIdentity(Ice.Identity registryObs, Ice.Identity nodeObs, Ice.Identity appObs, Ice.Identity adptObs, Ice.Identity objObs);

    /**
     * Set the observer identities that receive
     * notifications the state of the registry
     * or nodes changes. This operation should be used by clients that
     * are using a bidirectional connection to communicate with the
     * session.
     * 
     * @param registryObs The registry observer identity.
     * 
     * @param nodeObs The node observer identity.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_setObserversByIdentity(Ice.Identity registryObs, Ice.Identity nodeObs, Ice.Identity appObs, Ice.Identity adptObs, Ice.Identity objObs, java.util.Map<String, String> __ctx);

    /**
     * Set the observer identities that receive
     * notifications the state of the registry
     * or nodes changes. This operation should be used by clients that
     * are using a bidirectional connection to communicate with the
     * session.
     * 
     * @param registryObs The registry observer identity.
     * 
     * @param nodeObs The node observer identity.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_setObserversByIdentity(Ice.Identity registryObs, Ice.Identity nodeObs, Ice.Identity appObs, Ice.Identity adptObs, Ice.Identity objObs, Ice.Callback __cb);

    /**
     * Set the observer identities that receive
     * notifications the state of the registry
     * or nodes changes. This operation should be used by clients that
     * are using a bidirectional connection to communicate with the
     * session.
     * 
     * @param registryObs The registry observer identity.
     * 
     * @param nodeObs The node observer identity.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_setObserversByIdentity(Ice.Identity registryObs, Ice.Identity nodeObs, Ice.Identity appObs, Ice.Identity adptObs, Ice.Identity objObs, java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Set the observer identities that receive
     * notifications the state of the registry
     * or nodes changes. This operation should be used by clients that
     * are using a bidirectional connection to communicate with the
     * session.
     * 
     * @param registryObs The registry observer identity.
     * 
     * @param nodeObs The node observer identity.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_setObserversByIdentity(Ice.Identity registryObs, Ice.Identity nodeObs, Ice.Identity appObs, Ice.Identity adptObs, Ice.Identity objObs, Callback_AdminSession_setObserversByIdentity __cb);

    /**
     * Set the observer identities that receive
     * notifications the state of the registry
     * or nodes changes. This operation should be used by clients that
     * are using a bidirectional connection to communicate with the
     * session.
     * 
     * @param registryObs The registry observer identity.
     * 
     * @param nodeObs The node observer identity.
     * 
     * @param appObs The application observer.
     * 
     * @param adptObs The adapter observer.
     * 
     * @param objObs The object observer.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_setObserversByIdentity(Ice.Identity registryObs, Ice.Identity nodeObs, Ice.Identity appObs, Ice.Identity adptObs, Ice.Identity objObs, java.util.Map<String, String> __ctx, Callback_AdminSession_setObserversByIdentity __cb);

    /**
     * Set the observer identities that receive
     * notifications the state of the registry
     * or nodes changes. This operation should be used by clients that
     * are using a bidirectional connection to communicate with the
     * session.
     * 
     * @param __result The asynchronous result object.
     * @throws ObserverAlreadyRegisteredException Raised if an
     * observer is already registered with this registry.
     * 
     **/
    public void end_setObserversByIdentity(Ice.AsyncResult __result)
        throws ObserverAlreadyRegisteredException;

    /**
     * Acquires an exclusive lock to start updating the registry applications.
     * 
     * @return The current serial.
     * 
     * @throws AccessDeniedException Raised if the exclusive lock can't be
     * acquired. This might happen if the lock is currently acquired by
     * another session.
     * 
     **/
    public int startUpdate()
        throws AccessDeniedException;

    /**
     * Acquires an exclusive lock to start updating the registry applications.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The current serial.
     * 
     * @throws AccessDeniedException Raised if the exclusive lock can't be
     * acquired. This might happen if the lock is currently acquired by
     * another session.
     * 
     **/
    public int startUpdate(java.util.Map<String, String> __ctx)
        throws AccessDeniedException;

    /**
     * Acquires an exclusive lock to start updating the registry applications.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_startUpdate();

    /**
     * Acquires an exclusive lock to start updating the registry applications.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_startUpdate(java.util.Map<String, String> __ctx);

    /**
     * Acquires an exclusive lock to start updating the registry applications.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_startUpdate(Ice.Callback __cb);

    /**
     * Acquires an exclusive lock to start updating the registry applications.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_startUpdate(java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Acquires an exclusive lock to start updating the registry applications.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_startUpdate(Callback_AdminSession_startUpdate __cb);

    /**
     * Acquires an exclusive lock to start updating the registry applications.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_startUpdate(java.util.Map<String, String> __ctx, Callback_AdminSession_startUpdate __cb);

    /**
     * Acquires an exclusive lock to start updating the registry applications.
     * 
     * @param __result The asynchronous result object.
     * @return The current serial.
     * 
     * @throws AccessDeniedException Raised if the exclusive lock can't be
     * acquired. This might happen if the lock is currently acquired by
     * another session.
     * 
     **/
    public int end_startUpdate(Ice.AsyncResult __result)
        throws AccessDeniedException;

    /**
     * Finish updating the registry and release the exclusive lock.
     * 
     * @throws AccessDeniedException Raised if the session doesn't hold the
     * exclusive lock.
     * 
     **/
    public void finishUpdate()
        throws AccessDeniedException;

    /**
     * Finish updating the registry and release the exclusive lock.
     * 
     * @throws AccessDeniedException Raised if the session doesn't hold the
     * exclusive lock.
     * 
     * @param __ctx The Context map to send with the invocation.
     **/
    public void finishUpdate(java.util.Map<String, String> __ctx)
        throws AccessDeniedException;

    /**
     * Finish updating the registry and release the exclusive lock.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_finishUpdate();

    /**
     * Finish updating the registry and release the exclusive lock.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_finishUpdate(java.util.Map<String, String> __ctx);

    /**
     * Finish updating the registry and release the exclusive lock.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_finishUpdate(Ice.Callback __cb);

    /**
     * Finish updating the registry and release the exclusive lock.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_finishUpdate(java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Finish updating the registry and release the exclusive lock.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_finishUpdate(Callback_AdminSession_finishUpdate __cb);

    /**
     * Finish updating the registry and release the exclusive lock.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_finishUpdate(java.util.Map<String, String> __ctx, Callback_AdminSession_finishUpdate __cb);

    /**
     * Finish updating the registry and release the exclusive lock.
     * 
     * @param __result The asynchronous result object.
     * @throws AccessDeniedException Raised if the session doesn't hold the
     * exclusive lock.
     * 
     **/
    public void end_finishUpdate(Ice.AsyncResult __result)
        throws AccessDeniedException;

    /**
     * Get the name of the registry replica hosting this session.
     * 
     * @return The replica name of the registry.
     * 
     **/
    public String getReplicaName();

    /**
     * Get the name of the registry replica hosting this session.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The replica name of the registry.
     * 
     **/
    public String getReplicaName(java.util.Map<String, String> __ctx);

    /**
     * Get the name of the registry replica hosting this session.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getReplicaName();

    /**
     * Get the name of the registry replica hosting this session.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getReplicaName(java.util.Map<String, String> __ctx);

    /**
     * Get the name of the registry replica hosting this session.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getReplicaName(Ice.Callback __cb);

    /**
     * Get the name of the registry replica hosting this session.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getReplicaName(java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Get the name of the registry replica hosting this session.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getReplicaName(Callback_AdminSession_getReplicaName __cb);

    /**
     * Get the name of the registry replica hosting this session.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_getReplicaName(java.util.Map<String, String> __ctx, Callback_AdminSession_getReplicaName __cb);

    /**
     * Get the name of the registry replica hosting this session.
     * 
     * @param __result The asynchronous result object.
     * @return The replica name of the registry.
     * 
     **/
    public String end_getReplicaName(Ice.AsyncResult __result);

    /**
     * Open the given server log file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param path The path of the log file. A log file can be opened
     * only if it's declared in the server or service deployment
     * descriptor.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws ServerNotExistException Raised if the server doesn't
     * exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     * @throws DeploymentException Raised if the server couldn't be
     * deployed on the node.
     * 
     **/
    public FileIteratorPrx openServerLog(String id, String path, int count)
        throws DeploymentException,
               FileNotAvailableException,
               NodeUnreachableException,
               ServerNotExistException;

    /**
     * Open the given server log file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param path The path of the log file. A log file can be opened
     * only if it's declared in the server or service deployment
     * descriptor.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws ServerNotExistException Raised if the server doesn't
     * exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     * @throws DeploymentException Raised if the server couldn't be
     * deployed on the node.
     * 
     **/
    public FileIteratorPrx openServerLog(String id, String path, int count, java.util.Map<String, String> __ctx)
        throws DeploymentException,
               FileNotAvailableException,
               NodeUnreachableException,
               ServerNotExistException;

    /**
     * Open the given server log file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param path The path of the log file. A log file can be opened
     * only if it's declared in the server or service deployment
     * descriptor.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerLog(String id, String path, int count);

    /**
     * Open the given server log file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param path The path of the log file. A log file can be opened
     * only if it's declared in the server or service deployment
     * descriptor.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerLog(String id, String path, int count, java.util.Map<String, String> __ctx);

    /**
     * Open the given server log file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param path The path of the log file. A log file can be opened
     * only if it's declared in the server or service deployment
     * descriptor.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerLog(String id, String path, int count, Ice.Callback __cb);

    /**
     * Open the given server log file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param path The path of the log file. A log file can be opened
     * only if it's declared in the server or service deployment
     * descriptor.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerLog(String id, String path, int count, java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Open the given server log file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param path The path of the log file. A log file can be opened
     * only if it's declared in the server or service deployment
     * descriptor.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerLog(String id, String path, int count, Callback_AdminSession_openServerLog __cb);

    /**
     * Open the given server log file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param path The path of the log file. A log file can be opened
     * only if it's declared in the server or service deployment
     * descriptor.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerLog(String id, String path, int count, java.util.Map<String, String> __ctx, Callback_AdminSession_openServerLog __cb);

    /**
     * Open the given server log file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param __result The asynchronous result object.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws ServerNotExistException Raised if the server doesn't
     * exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     * @throws DeploymentException Raised if the server couldn't be
     * deployed on the node.
     * 
     **/
    public FileIteratorPrx end_openServerLog(Ice.AsyncResult __result)
        throws DeploymentException,
               FileNotAvailableException,
               NodeUnreachableException,
               ServerNotExistException;

    /**
     * Open the given server stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws ServerNotExistException Raised if the server doesn't
     * exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     * @throws DeploymentException Raised if the server couldn't be
     * deployed on the node.
     * 
     **/
    public FileIteratorPrx openServerStdErr(String id, int count)
        throws DeploymentException,
               FileNotAvailableException,
               NodeUnreachableException,
               ServerNotExistException;

    /**
     * Open the given server stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws ServerNotExistException Raised if the server doesn't
     * exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     * @throws DeploymentException Raised if the server couldn't be
     * deployed on the node.
     * 
     **/
    public FileIteratorPrx openServerStdErr(String id, int count, java.util.Map<String, String> __ctx)
        throws DeploymentException,
               FileNotAvailableException,
               NodeUnreachableException,
               ServerNotExistException;

    /**
     * Open the given server stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerStdErr(String id, int count);

    /**
     * Open the given server stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerStdErr(String id, int count, java.util.Map<String, String> __ctx);

    /**
     * Open the given server stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerStdErr(String id, int count, Ice.Callback __cb);

    /**
     * Open the given server stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerStdErr(String id, int count, java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Open the given server stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerStdErr(String id, int count, Callback_AdminSession_openServerStdErr __cb);

    /**
     * Open the given server stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerStdErr(String id, int count, java.util.Map<String, String> __ctx, Callback_AdminSession_openServerStdErr __cb);

    /**
     * Open the given server stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param __result The asynchronous result object.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws ServerNotExistException Raised if the server doesn't
     * exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     * @throws DeploymentException Raised if the server couldn't be
     * deployed on the node.
     * 
     **/
    public FileIteratorPrx end_openServerStdErr(Ice.AsyncResult __result)
        throws DeploymentException,
               FileNotAvailableException,
               NodeUnreachableException,
               ServerNotExistException;

    /**
     * Open the given server stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws ServerNotExistException Raised if the server doesn't
     * exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     * @throws DeploymentException Raised if the server couldn't be
     * deployed on the node.
     * 
     **/
    public FileIteratorPrx openServerStdOut(String id, int count)
        throws DeploymentException,
               FileNotAvailableException,
               NodeUnreachableException,
               ServerNotExistException;

    /**
     * Open the given server stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws ServerNotExistException Raised if the server doesn't
     * exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     * @throws DeploymentException Raised if the server couldn't be
     * deployed on the node.
     * 
     **/
    public FileIteratorPrx openServerStdOut(String id, int count, java.util.Map<String, String> __ctx)
        throws DeploymentException,
               FileNotAvailableException,
               NodeUnreachableException,
               ServerNotExistException;

    /**
     * Open the given server stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerStdOut(String id, int count);

    /**
     * Open the given server stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerStdOut(String id, int count, java.util.Map<String, String> __ctx);

    /**
     * Open the given server stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerStdOut(String id, int count, Ice.Callback __cb);

    /**
     * Open the given server stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerStdOut(String id, int count, java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Open the given server stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerStdOut(String id, int count, Callback_AdminSession_openServerStdOut __cb);

    /**
     * Open the given server stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param id The server id.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openServerStdOut(String id, int count, java.util.Map<String, String> __ctx, Callback_AdminSession_openServerStdOut __cb);

    /**
     * Open the given server stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param __result The asynchronous result object.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws ServerNotExistException Raised if the server doesn't
     * exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     * @throws DeploymentException Raised if the server couldn't be
     * deployed on the node.
     * 
     **/
    public FileIteratorPrx end_openServerStdOut(Ice.AsyncResult __result)
        throws DeploymentException,
               FileNotAvailableException,
               NodeUnreachableException,
               ServerNotExistException;

    /**
     * Open the given node stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws NodeNotExistException Raised if the node doesn't exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     **/
    public FileIteratorPrx openNodeStdErr(String name, int count)
        throws FileNotAvailableException,
               NodeNotExistException,
               NodeUnreachableException;

    /**
     * Open the given node stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws NodeNotExistException Raised if the node doesn't exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     **/
    public FileIteratorPrx openNodeStdErr(String name, int count, java.util.Map<String, String> __ctx)
        throws FileNotAvailableException,
               NodeNotExistException,
               NodeUnreachableException;

    /**
     * Open the given node stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openNodeStdErr(String name, int count);

    /**
     * Open the given node stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openNodeStdErr(String name, int count, java.util.Map<String, String> __ctx);

    /**
     * Open the given node stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openNodeStdErr(String name, int count, Ice.Callback __cb);

    /**
     * Open the given node stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openNodeStdErr(String name, int count, java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Open the given node stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openNodeStdErr(String name, int count, Callback_AdminSession_openNodeStdErr __cb);

    /**
     * Open the given node stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openNodeStdErr(String name, int count, java.util.Map<String, String> __ctx, Callback_AdminSession_openNodeStdErr __cb);

    /**
     * Open the given node stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param __result The asynchronous result object.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws NodeNotExistException Raised if the node doesn't exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     **/
    public FileIteratorPrx end_openNodeStdErr(Ice.AsyncResult __result)
        throws FileNotAvailableException,
               NodeNotExistException,
               NodeUnreachableException;

    /**
     * Open the given node stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws NodeNotExistException Raised if the node doesn't exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     **/
    public FileIteratorPrx openNodeStdOut(String name, int count)
        throws FileNotAvailableException,
               NodeNotExistException,
               NodeUnreachableException;

    /**
     * Open the given node stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws NodeNotExistException Raised if the node doesn't exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     **/
    public FileIteratorPrx openNodeStdOut(String name, int count, java.util.Map<String, String> __ctx)
        throws FileNotAvailableException,
               NodeNotExistException,
               NodeUnreachableException;

    /**
     * Open the given node stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openNodeStdOut(String name, int count);

    /**
     * Open the given node stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openNodeStdOut(String name, int count, java.util.Map<String, String> __ctx);

    /**
     * Open the given node stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openNodeStdOut(String name, int count, Ice.Callback __cb);

    /**
     * Open the given node stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openNodeStdOut(String name, int count, java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Open the given node stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openNodeStdOut(String name, int count, Callback_AdminSession_openNodeStdOut __cb);

    /**
     * Open the given node stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The node name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openNodeStdOut(String name, int count, java.util.Map<String, String> __ctx, Callback_AdminSession_openNodeStdOut __cb);

    /**
     * Open the given node stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param __result The asynchronous result object.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws NodeNotExistException Raised if the node doesn't exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not
     * be reached.
     * 
     **/
    public FileIteratorPrx end_openNodeStdOut(Ice.AsyncResult __result)
        throws FileNotAvailableException,
               NodeNotExistException,
               NodeUnreachableException;

    /**
     * Open the given registry stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws RegistryNotExistException Raised if the registry
     * doesn't exist.
     * 
     * @throws RegistryUnreachableException Raised if the registry
     * could not be reached.
     * 
     **/
    public FileIteratorPrx openRegistryStdErr(String name, int count)
        throws FileNotAvailableException,
               RegistryNotExistException,
               RegistryUnreachableException;

    /**
     * Open the given registry stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws RegistryNotExistException Raised if the registry
     * doesn't exist.
     * 
     * @throws RegistryUnreachableException Raised if the registry
     * could not be reached.
     * 
     **/
    public FileIteratorPrx openRegistryStdErr(String name, int count, java.util.Map<String, String> __ctx)
        throws FileNotAvailableException,
               RegistryNotExistException,
               RegistryUnreachableException;

    /**
     * Open the given registry stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openRegistryStdErr(String name, int count);

    /**
     * Open the given registry stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openRegistryStdErr(String name, int count, java.util.Map<String, String> __ctx);

    /**
     * Open the given registry stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openRegistryStdErr(String name, int count, Ice.Callback __cb);

    /**
     * Open the given registry stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openRegistryStdErr(String name, int count, java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Open the given registry stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openRegistryStdErr(String name, int count, Callback_AdminSession_openRegistryStdErr __cb);

    /**
     * Open the given registry stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openRegistryStdErr(String name, int count, java.util.Map<String, String> __ctx, Callback_AdminSession_openRegistryStdErr __cb);

    /**
     * Open the given registry stderr file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param __result The asynchronous result object.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws RegistryNotExistException Raised if the registry
     * doesn't exist.
     * 
     * @throws RegistryUnreachableException Raised if the registry
     * could not be reached.
     * 
     **/
    public FileIteratorPrx end_openRegistryStdErr(Ice.AsyncResult __result)
        throws FileNotAvailableException,
               RegistryNotExistException,
               RegistryUnreachableException;

    /**
     * Open the given registry stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws RegistryNotExistException Raised if the registry
     * doesn't exist.
     * 
     * @throws RegistryUnreachableException Raised if the registry
     * could not be reached.
     * 
     **/
    public FileIteratorPrx openRegistryStdOut(String name, int count)
        throws FileNotAvailableException,
               RegistryNotExistException,
               RegistryUnreachableException;

    /**
     * Open the given registry stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws RegistryNotExistException Raised if the registry
     * doesn't exist.
     * 
     * @throws RegistryUnreachableException Raised if the registry
     * could not be reached.
     * 
     **/
    public FileIteratorPrx openRegistryStdOut(String name, int count, java.util.Map<String, String> __ctx)
        throws FileNotAvailableException,
               RegistryNotExistException,
               RegistryUnreachableException;

    /**
     * Open the given registry stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openRegistryStdOut(String name, int count);

    /**
     * Open the given registry stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openRegistryStdOut(String name, int count, java.util.Map<String, String> __ctx);

    /**
     * Open the given registry stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openRegistryStdOut(String name, int count, Ice.Callback __cb);

    /**
     * Open the given registry stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openRegistryStdOut(String name, int count, java.util.Map<String, String> __ctx, Ice.Callback __cb);

    /**
     * Open the given registry stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openRegistryStdOut(String name, int count, Callback_AdminSession_openRegistryStdOut __cb);

    /**
     * Open the given registry stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param name The registry name.
     * 
     * @param count Specifies where to start reading the file. If
     * negative, the file is read from the begining. If 0 or positive,
     * the file is read from the last <tt>count</tt> lines.
     * 
     * @param __ctx The Context map to send with the invocation.
     * @param __cb The asynchronous callback object.
     * @return The asynchronous result object.
     **/
    public Ice.AsyncResult begin_openRegistryStdOut(String name, int count, java.util.Map<String, String> __ctx, Callback_AdminSession_openRegistryStdOut __cb);

    /**
     * Open the given registry stdout file for reading. The file can be
     * read with the returned file iterator.
     * 
     * @param __result The asynchronous result object.
     * @return An iterator to read the file.
     * 
     * @throws FileNotAvailableException Raised if the file can't be
     * read.
     * 
     * @throws RegistryNotExistException Raised if the registry
     * doesn't exist.
     * 
     * @throws RegistryUnreachableException Raised if the registry
     * could not be reached.
     * 
     **/
    public FileIteratorPrx end_openRegistryStdOut(Ice.AsyncResult __result)
        throws FileNotAvailableException,
               RegistryNotExistException,
               RegistryUnreachableException;
}
